Page MenuHomePhabricator

[wmf.7] The new advanced filters 'Namespaces' and 'Tagged edits' displayed with old filter options
Closed, ResolvedPublic

Description

  1. In testwiki and cawiki go to Recent changes with enabled filters. RC page displays 'Namespace' and 'Tag filter' options.
  2. Click in the filter search box, the drop down filter list displays Advanced filter options with 'Namespaces' and 'Tagged edits' filters.
  3. Click on either 'Namespaces' or 'Tagged edits' options in the drop-down filter list. No action.
  4. Enter : or # - "No filters found" will be displayed.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 28 2017, 11:46 PM

Change 362105 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@master] RCFilters: Followup I200720ffde8ad: Hide extended footer if gater is disabled

https://gerrit.wikimedia.org/r/362105

Mooeypoo added a subscriber: Mooeypoo.

Whoops. Sorry about that.

Change 362105 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Followup I200720ffde8ad: Hide extended footer if gater is disabled

https://gerrit.wikimedia.org/r/362105

Change 362110 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/core@wmf/1.30.0-wmf.7] RCFilters: Followup I200720ffde8ad: Hide extended footer if gater is disabled

https://gerrit.wikimedia.org/r/362110

Change 362110 merged by jenkins-bot:
[mediawiki/core@wmf/1.30.0-wmf.7] RCFilters: Followup I200720ffde8ad: Hide extended footer if gater is disabled

https://gerrit.wikimedia.org/r/362110

Mentioned in SAL (#wikimedia-operations) [2017-06-29T23:32:15Z] <RoanKattouw> Sorry I meant T169163

Mentioned in SAL (#wikimedia-operations) [2017-06-29T23:32:15Z] <RoanKattouw> Sorry I meant T169163

The fix for this bug was just SWATted

Checked the fix in cawiki and enwiki (wmf.7) - 'Namespaces' or 'Tagged edits' options are not displayed in the footer.

Etonkovidova closed this task as Resolved.Jul 14 2017, 6:06 PM
Etonkovidova triaged this task as Medium priority.